# 2010, kyyu
# description:  This plugin groups and pushpull all 2D faces selected
#               -change the variable "thick", to set the thickness

require 'sketchup.rb'

def kyyu_group_pushpull_2D_faces
    thick = -0.25
    model = Sketchup.active_model
	ent = model.entities
	sel = model.selection
    faces = []
		
	sel.each do |e|
		if e.is_a? Sketchup::Face
            faces.push e
		end
	end   

    Sketchup.active_model.start_operation "Group PushPull 2D Faces"     
	faces.each do |e|
        ent.add_group e
        e.pushpull (thick)
    end
			Sketchup.active_model.commit_operation	
end


if( not file_loaded?('ky_Group_PushPull_2DFaces.rb') )
UI.menu('Plugins').add_item('[ky] Group and PushPull 2D Faces') { kyyu_group_pushpull_2D_faces }
end

file_loaded 'ky_Group_PushPull_2DFaces.rb'


